import { jsxs as r, jsx as e } from "react/jsx-runtime";
import { useState as s } from "react";
import { o as i, d as l, B as d } from "./index-C62tPk5p.js";
function h() {
  const { t: a } = i(), n = "metric", [t, c] = s("");
  return /* @__PURE__ */ r("div", { className: "stack-y-4 text-sm", children: [
    /* @__PURE__ */ e(
      l,
      {
        placeholder: "San Francisco",
        value: t,
        name: "Enter City",
        onChange: async (o) => {
          c(o.target.value);
        }
      }
    ),
    /* @__PURE__ */ e(
      d,
      {
        href: `webcal://weather-in-calendar.com/cal/weather-cal.php?city=${t}&units=${n}&temperature=day`,
        children: a("add_to_calendar")
      }
    )
  ] });
}
export {
  h as default
};
